> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Extends validity of pre-shared key

> Extends the validity period of the specified pre-shared key by the given number of days.



## OpenAPI

````yaml post /api/dataproduct/psk/{psk_id}/extend
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/dataproduct/psk/{psk_id}/extend:
    post:
      tags:
        - Data products
      summary: Extends validity of pre-shared key
      description: >-
        Extends the validity period of the specified pre-shared key by the given
        number of days.
      operationId: extend_preshared_key_api_dataproduct_psk__psk_id__extend_post
      parameters:
        - name: psk_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: Unique ID of the pre-shared key to extend.
            title: Psk Id
          description: Unique ID of the pre-shared key to extend.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExtendPresharedKeyRequest'
      responses:
        '200':
          description: Pre-shared key extended successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreatePresharedKeyResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    ExtendPresharedKeyRequest:
      properties:
        validity_days:
          type: integer
          title: Validity Days
          description: Number of additional days to extend the pre-shared key validity.
      type: object
      required:
        - validity_days
      title: ExtendPresharedKeyRequest
    CreatePresharedKeyResponse:
      properties:
        psk:
          type: string
          format: uuid
          title: Psk
          description: The unique ID of the generated pre-shared key.
        description:
          type: string
          title: Description
          description: The description provided for this key.
        valid_until:
          type: string
          format: date-time
          title: Valid Until
          description: Expiration date and time of the key.
      type: object
      required:
        - psk
        - description
        - valid_until
      title: CreatePresharedKeyResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````